From 6e71ef355925ea66b6b2b3147e92fd19d281ec62 Mon Sep 17 00:00:00 2001
From: Joshua Moss <jmoss@lxplus043.cern.ch>
Date: Mon, 26 Feb 2018 18:23:08 +0100
Subject: [PATCH] Updated all InDetPerformanceRTT ART scripts to use DCube for
 Post processing instead of rootcomp.py.

Nightly processing using ATHENA is unchanged.  DCube will run from cvmfs
art-data location until art-scripts is setup.
---
 .../test/test_InDetPerformanceRTT_Ele100IDPRTT.sh  | 13 ++++++++++---
 .../test/test_InDetPerformanceRTT_Ele1IDPRTT.sh    | 13 ++++++++++---
 .../test/test_InDetPerformanceRTT_MinBiasIDPRTT.sh | 11 +++++++++--
 .../test/test_InDetPerformanceRTT_Mu100IDPRTT.sh   | 11 +++++++++--
 .../test/test_InDetPerformanceRTT_Pi100IDPRTT.sh   | 13 +++++++++++--
 .../test/test_InDetPerformanceRTT_Pi1IDPRTT.sh     | 11 +++++++++--
 .../test/test_InDetPerformanceRTT_ZtomumuIDPRTT.sh | 11 +++++++++--
 ...test_InDetPerformanceRTT_ZtomumuPileupIDPRTT.sh | 11 +++++++++--
 .../test/test_InDetPerformanceRTT_mu1GeV.sh        | 11 +++++++++--
 .../test/test_InDetPerformanceRTT_ttbar.sh         | 14 ++++++++++----
 10 files changed, 95 insertions(+), 24 deletions(-)

diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Ele100IDPRTT.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Ele100IDPRTT.sh
index 5951abcff00..047934c4027 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Ele100IDPRTT.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Ele100IDPRTT.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input: mc15_13TeV.422008.ParticleGun_single_ele_Pt100.recon.RDO.e4459_s2726_r7059_tid07275505_00
 # art-input-nfiles: 10
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -11,12 +13,17 @@
 
 fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
-
 joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions.py"
+set -x
+
 get_files -jo $joboptions
+ls -lR
+
 athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=20000;" $joboptions
+echo  "art-result: $? reco"
+
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "Ele100" "InDetStandardPlots-SingleEle100000.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-SingleEle100000.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
 
 
diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Ele1IDPRTT.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Ele1IDPRTT.sh
index d6eb69c85ca..7fbb6078645 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Ele1IDPRTT.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Ele1IDPRTT.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input: mc15_13TeV.422007.ParticleGun_single_ele_Pt1.recon.RDO.e4459_s2726_r7059_tid07275503_00
 # art-input-nfiles: 10
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -11,10 +13,15 @@
 
 fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
-
 joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions.py"
+set -x
+
 get_files -jo $joboptions
+ls -lR
 athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=20000;" $joboptions
+echo  "art-result: $? reco"
+
+
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "Ele1" "InDetStandardPlots-SingleEle1000.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-SingleEle1000.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_MinBiasIDPRTT.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_MinBiasIDPRTT.sh
index ef9f5fee642..8c2f61b0ed8 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_MinBiasIDPRTT.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_MinBiasIDPRTT.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input: mc15_13TeV.119994.Pythia8_A2MSTW2008LO_minbias_inelastic.recon.RDO.e3802_s2608_s2183_r7509_tid07497163_00
 # art-input-nfiles: 3
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -13,8 +15,13 @@ fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
 
 joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions_LowPtTracking.py"
+set -x
+
 get_files -jo $joboptions
+ls -lR
 athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=1500;" $joboptions
+echo  "art-result: $? reco"
+
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "MinBias" "InDetStandardPlots-MinBias.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-MinBias.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Mu100IDPRTT.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Mu100IDPRTT.sh
index 8204cb53518..36e318dfdb2 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Mu100IDPRTT.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Mu100IDPRTT.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input: mc15_13TeV.422011.ParticleGun_single_mu_Pt100.recon.RDO.e4459_s2726_r7059_tid07275519_00
 # art-input-nfiles: 10
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -13,8 +15,13 @@ fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
 
 joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions.py"
+set -x
+
 get_files -jo $joboptions
+ls -lR
 athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=20000;" $joboptions
+echo  "art-result: $? reco"
+
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "Mu100" "InDetStandardPlots-SingleMu100000.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-SingleMu100000.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Pi100IDPRTT.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Pi100IDPRTT.sh
index f6926d0ddc4..f948477b9f9 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Pi100IDPRTT.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Pi100IDPRTT.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input: mc15_13TeV.422015.ParticleGun_single_pion_Pt100.recon.RDO.e4459_s2726_r7059_tid07275536_00
 # art-input-nfiles: 10
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -13,8 +15,15 @@ fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
 
 joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions.py"
+set -x
+
 get_files -jo $joboptions
+ls -lR
+
 athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=20000;" $joboptions
+echo  "art-result: $? reco"
+
+
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "Pi100" "InDetStandardPlots-SinglePi100000.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-SinglePi100000.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Pi1IDPRTT.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Pi1IDPRTT.sh
index 1484d3a14c9..cbe2a5aef52 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Pi1IDPRTT.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_Pi1IDPRTT.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input: mc15_13TeV.422014.ParticleGun_single_pion_Pt1.recon.RDO.e4459_s2726_r7059_tid07275532_00
 # art-input-nfiles: 10
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -13,8 +15,13 @@ fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
 
 joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions.py"
+set -x 
+
 get_files -jo $joboptions
+ls -lR
 athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=20000;" $joboptions
+echo  "art-result: $? reco"
+
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "Pi1" "InDetStandardPlots-SinglePi1000.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-SinglePi1000.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ZtomumuIDPRTT.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ZtomumuIDPRTT.sh
index 8577cf97870..bbcbcf17a64 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ZtomumuIDPRTT.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ZtomumuIDPRTT.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input: mc15_13TeV.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu.recon.RDO.e3601_s2576_s2132_s2132_r7509_tid07497175_00 
 # art-input-nfiles: 1
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -13,8 +15,13 @@ fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
 
 joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions.py"
+set -x
+
 get_files -jo $joboptions
+ls -lR
 athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=500;" $joboptions
+echo  "art-result: $? reco"
+
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "ZMuMu" "InDetStandardPlots-ZMuMu.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-ZMuMu.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ZtomumuPileupIDPRTT.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ZtomumuPileupIDPRTT.sh
index c46ac77266d..928e2d66814 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ZtomumuPileupIDPRTT.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ZtomumuPileupIDPRTT.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input: mc15_13TeV.361107.PowhegPythia8EvtGen_AZNLOCTEQ6L1_Zmumu.recon.RDO.e3601_s2576_s2132_r7143_tid06718162_00 
 # art-input-nfiles: 1
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -13,8 +15,13 @@ fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
 
 joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions.py"
+set -x
+
 get_files -jo $joboptions
+ls -lR
 athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=500;" $joboptions
+echo  "art-result: $? reco"
+
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "ZMuMuPileup" "InDetStandardPlots-ZMuMuPileup.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-ZMuMuPileup.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_mu1GeV.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_mu1GeV.sh
index fb0c48251ad..87f71a85cb4 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_mu1GeV.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_mu1GeV.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input: mc15_13TeV.422010.ParticleGun_single_mu_Pt1.recon.RDO.e4459_s2726_r7059_tid07275515_00 
 # art-input-nfiles: 10
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -13,8 +15,13 @@ fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
 
 joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions.py"
+set -x
+
 get_files -jo $joboptions
+ls -lR
 athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=20000;" $joboptions
+echo  "art-result: $? reco"
+
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "Mu1" "InDetStandardPlots-SingleMu1000.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-SingleMu1000.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
diff --git a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ttbar.sh b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ttbar.sh
index 1c5c11f50c0..b1beb169f68 100755
--- a/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ttbar.sh
+++ b/InnerDetector/InDetValidation/InDetPerformanceRTT/test/test_InDetPerformanceRTT_ttbar.sh
@@ -3,6 +3,8 @@
 # art-type: grid
 # art-input:  mc15_13TeV.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad.recon.RDO.e3698_s2608_s2183_r7728_tid08543088_00
 # art-input-nfiles: 1
+# art-include: 21.0/Athena
+# art-include: master/Athena
 # art-output: InDetStandardPlots.root
 # art-output: comparison.root
 # art-output: comparison.ps
@@ -11,10 +13,14 @@
 
 fileList="['${ArtInFile//,/', '}']"
 echo "List of files = ", $fileList
+joboptions="InDetPerformanceRTT/InDetPerformanceRTT_jobOptions_For20.7Digi.py"
+set -x
 
+get_files -jo $joboptions
+ls -lR
+athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=500;" $joboptions
+echo  "art-result: $? reco"
 
-get_files -jo InDetPerformanceRTT/InDetPerformanceRTT_jobOptions_For20.7Digi.py
-athena.py  -c "from AthenaCommon.AthenaCommonFlags import athenaCommonFlags; athenaCommonFlags.FilesInput=$fileList; EventMax=500;" InDetPerformanceRTT/InDetPerformanceRTT_jobOptions_For20.7Digi.py
+bash /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/dcube/bin/art-dcube "Ttbar" "InDetStandardPlots-Ttbar.root"
+echo  "art-result: $? plot"
 
-refhist="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/InDetPerformanceRTT/ReferenceHistograms/InDetStandardPlots-SingleEle100000.root"
-rootcomp.py -o comparison -c $refhist InDetStandardPlots.root
-- 
GitLab